1. GhostDriverSK's Avatar
    Hello, I am trying to add a app from the play store that's intended for Android devices
    here is what it says :

    Your device isn't compatible with this version.

    HELP! please
    03-29-2017 12:28 PM
  2. belodion's Avatar
    Welcome.

    That usually means that your phone's hardware or software will not run the app. Take a close look at the requirements in the developer's description.
    03-29-2017 12:44 PM
  3. GhostDriverSK's Avatar
    its for the Flexx Drivers app ill try to post it here
    03-29-2017 05:07 PM

Similar Threads

  1. Is Bixby coming to the S7?
    By grosenthal in forum Samsung Galaxy S7
    Replies: 9
    Last Post: 04-13-2017, 05:34 PM
  2. Replies: 1
    Last Post: 03-29-2017, 05:53 PM
  3. Samsung Dex Dock
    By cjtayaban in forum Samsung Galaxy S8 & S8+
    Replies: 3
    Last Post: 03-29-2017, 01:31 PM
  4. Moto G (2015) - Problem from time to time
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 03-29-2017, 12:45 PM
LINK TO POST COPIED TO CLIPBOARD